Last modified: 2010-02-06 20:22:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21208 - Upload API documentation
Upload API documentation
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
API (Other open bugs)
1.16.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Michael Dale
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2009-10-20 20:57 UTC by Russell Blau
Modified: 2010-02-06 20:22 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Russell Blau 2009-10-20 20:57:41 UTC
The documentation for "action=upload" currently is incomplete and confusing.  The wiki page, http://www.mediawiki.org/wiki/API:Edit_-_Uploading_files, describes an earlier proposed version of the API that is different from what is currently in the software. 

The help message (http://en.wikipedia.org/w/api.php) contains at least one clear error: the third bullet reads '* Have the MediaWiki server fetch a file from a URL, using the "url" and "asyncdownload" parameters'; but "asyncdownload" does not appear in the list of accepted parameters.
Comment 1 Michael Dale 2009-10-20 21:11:13 UTC
The asyncdownload is related to the temporary variable: $wgEnableAsyncDownload
which was set to "false"  since it background tasks were not support in windows
... but I believe we can depreciate that as a fix for background task was made
for windows? 
Comment 2 Gurch 2009-10-29 13:31:46 UTC
I have made the documentation at http://www.mediawiki.org/wiki/API:Edit_-_Uploading_files somewhat more up to date. Some information is still missing, partly as I haven't successfully tested the relevant functionality yet.
Comment 3 Roan Kattouw 2009-10-29 13:38:43 UTC
(In reply to comment #2)
> I have made the documentation at
> http://www.mediawiki.org/wiki/API:Edit_-_Uploading_files somewhat more up to
> date. Some information is still missing, partly as I haven't successfully
> tested the relevant functionality yet.
> 

Looks good, thanks!
Comment 4 Sam Reed (reedy) 2010-01-16 21:38:22 UTC
How (in)?complete is this now?
Comment 5 Bryan Tong Minh 2010-02-06 20:22:20 UTC
Looks in pretty good shape now.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links